Unify and manage your data

Delete specific Autopilot match statistic

Learn how to delete a specific Autopilot match statistic record using its composite key.

The Delete match statistic API deletes a single Autopilot match statistic record for a tenant. It identifies the record using a composite key that includes the lookupType, source, and unmappedValue.

You can use this API to remove individual match statistics records, for example when correcting data or resetting specific matching results.

HTTP method and endpoint

Use the following HTTP method and endpoint path to submit the request:

DELETE /configuration/{tenantId}/autopilot/stats/{lookupType}/{source}/{unmappedValue}

This endpoint deletes a specific Autopilot match statistic record based on the provided composite key.

Note: Use this endpoint to remove terminal stats such as rejected or misspelled when you want Autopilot to evaluate the unmapped value again.

The following table describes the endpoint path parameters.

ParameterTypeRequiredDescription
tenantIdStringYesTenant identifier
lookupTypeStringYesLookup type name
sourceStringYesSource system name
unmappedValueStringYesUnmapped value

Request headers

The following request headers must be included.

HeaderValueRequired
AuthorizationBearer {token}Yes

Request body

This operation does not require a request body.

Response body

The following table describes the fields returned in the response body.

FieldTypeDescription
statusStringIndicates the result of the operation.

Example response

The following example shows a successful deletion response.

{
  "status": "success"
}